djbrightman1 Absent Member.
Absent Member.
454 views

SSPR 3.3 on SLES 11?


What's the recommended (and Novell supported) application server
environment for this on SLES11?

3.3 docs state
>>

2.1.6 Supported Application Servers
 Java JDK 1.7 or later
 Apache Tomcat 7 or 8.
Other Java Application Servers are not supported.
NOTE: Oracle no longer supports Java JDK 1.7. Hence, NetIQ recommends to
use Java JDK 1.8.
<<

SLES11 has tomcat6, which seemed to be supported to sspr v3.2 but no
longer...
So, has anyone got a SLES11 box running with Tomcat8 and JDK1.8 (for
longevities sake!

Any recommendations on source (pref. repos) for these?

If not do we just pull down and manually install
http://tinyurl.com/pwmw54h ? Any advice/guidance on replacing the native
tomcat 6 with 8?
At least the JDK is available as rpm! http://tinyurl.com/puhhbtr

Are these OK on SLES11 x64?

Any advice welcome!
Cheers
David


--
djbrightman
------------------------------------------------------------------------
djbrightman's Profile: https://forums.netiq.com/member.php?userid=1524
View this thread: https://forums.netiq.com/showthread.php?t=54311

0 Likes
2 Replies
Knowledge Partner
Knowledge Partner

Re: SSPR 3.3 on SLES 11?

Is there a reason you are not deploying new setups with SLES 12? It works
out of the box as it ships with the 1.7 JRE (not JDK, and IBM's not
Oracle's, but that's easy to fix) and Tomcat 8 (probably the
more-important part to have setup by the system as it will be managed as a
service). Changing Java is just a matter of extracting a new JDK
somewhere and then changing Tomcat's configuration files
(/etc/tomcat/tomcat.conf) to point to the properly JDK directory. The
same applies on SLES 11, but the Tomcat requirement maybe harder.

The IDM installer, which now includes SSPR when pushing out the 'Identity
Applications', also installs its own JDK and Tomcat instance, but includes
a service installer for it. This installer only supports SLES 11 today,
though, so unless you need all of IDM I'd just put SSPR on a SLES 12 system.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...
0 Likes
djbrightman1 Absent Member.
Absent Member.

Re: SSPR 3.3 on SLES 11?


Thanks. Sorry for delay in responding.

ab;260864 Wrote:
> Is there a reason you are not deploying new setups with SLES 12?


Licensing...! 😉

I think we'll look at hosting on a Windows server.... It will be easier
for the guys who will end up supporting it and we are covered license
wise

Cheers
David


--
djbrightman
------------------------------------------------------------------------
djbrightman's Profile: https://forums.netiq.com/member.php?userid=1524
View this thread: https://forums.netiq.com/showthread.php?t=54311

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.